Bug 1812692 - python-execnet should depend on python-apipkg
Summary: python-execnet should depend on python-apipkg
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-execnet
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-11 21:24 UTC by Ken Dreyer (Red Hat)
Modified: 2020-03-14 00:18 UTC (History)
3 users (show)

Fixed In Version: python-execnet-1.7.1-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-14 00:18:00 UTC
Type: Bug


Attachments (Terms of Use)

Description Ken Dreyer (Red Hat) 2020-03-11 21:24:03 UTC
Description of problem:
The python2 subpackage "python-execnet" does not depend on python-apipkg, so we cannot import execnet with Python 2.

Version-Release number of selected component (if applicable):
python-execnet-1.7.1-2.el7

How reproducible:
always 

Steps to Reproduce:
1. Start with an EL7 machine that does *not* have python-apipkg installed
2. yum -y install python-execnet
3. Try to import execnet, for example:
   python -c "import execnet"

Actual results:
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/execnet/__init__.py", line 10, in <module>
    import apipkg
ImportError: No module named apipkg


Expected results:
"yum install python-execnet" should install python-apipkg.
python -c "import execnet" should work without errors.

Additional info:
We fixed this for Python 3 in https://src.fedoraproject.org/rpms/python-execnet/pull-request/6 , and we forgot to fix this for Python 2.

Comment 1 Thomas Moschny 2020-03-12 19:44:17 UTC
Ken, thanks for fixing this:

https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-1ccdc325aa

Comment 2 Ken Dreyer (Red Hat) 2020-03-12 20:10:20 UTC
You're welcome! Bodhi did not comment on this bug yet, and I filed https://github.com/fedora-infra/bodhi/issues/3954 for that problem. Thanks for linking to the update here.

Comment 3 Fedora Update System 2020-03-12 23:32:00 UTC
python-execnet-1.7.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-1ccdc325aa

Comment 4 Fedora Update System 2020-03-14 00:18:00 UTC
python-execnet-1.7.1-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.